org.apache.ignite.internal.managers.encryption

## Class GridEncryptionManager.KeyChangeFuture

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<Void>
  - - org.apache.ignite.internal.managers.encryption.GridEncryptionManager.KeyChangeFuture

All Implemented Interfaces:
  IgniteInternalFuture<Void>

Enclosing class:
  GridEncryptionManager

    protected static class GridEncryptionManager.KeyChangeFuture
    extends GridFutureAdapter<Void>

Key change future.

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID` `id()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`cancel, chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### id

    public UUID id()

Returns:
  Request ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFutureAdapter<Void>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022